﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO;
using System.Windows;
using System.Windows.Controls;
using System.Xml.Serialization;
using Infragistics.Olap;
using Infragistics.Olap.Data;
using System.Threading.Tasks;
using Infragistics.Olap.Xmla;
using System.Windows.Threading;

namespace XmlaDataSourceSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            pivotGrid.LayoutLoaded += new EventHandler<EventArgs>(pivotGrid_LayoutLoaded);
        }

        void pivotGrid_LayoutLoaded(object sender, EventArgs e)
        {
            foreach (var cell in pivotGrid.GridLayout.ColumnHeaderCells)
            {
                if (cell.ToString() == "Internet Sales Amount")
                {
                    cell.Style = this.Resources["ColumnHeaderCellStyle"] as Style;
                    break;
                }
            }
        }

        private void btnEnableAdnvancedFiltering_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
